package com.yihu.jw.entity.hospital.healthCare;

import com.yihu.jw.entity.UuidIdentityEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * Created by wangzhinan on 20211003
 * 医保发票打印
 */
@Entity
@Table(name = "base_ylz_medical_bill")
public class YlzMedicalBillDO extends UuidIdentityEntity {

    private String medicalId;//医保关联表id
    private String invoiceType;//发票项目类别
    private String invoiceTypeName;//发票项目类别名称
    private String projectPay;//发票项目费用
    private String invoicePay;//医保发票费用
    private String ownPay;//医保个人费用
    private String specialPay;//特殊项目发票费用
    private String uninsurancePay;//非医保发票费用
    private Date createTime;//创建时间',

    public String getMedicalId() {
        return medicalId;
    }

    public void setMedicalId(String medicalId) {
        this.medicalId = medicalId;
    }

    public String getInvoiceType() {
        return invoiceType;
    }

    public void setInvoiceType(String invoiceType) {
        this.invoiceType = invoiceType;
    }

    public String getInvoiceTypeName() {
        return invoiceTypeName;
    }

    public void setInvoiceTypeName(String invoiceTypeName) {
        this.invoiceTypeName = invoiceTypeName;
    }

    public String getProjectPay() {
        return projectPay;
    }

    public void setProjectPay(String projectPay) {
        this.projectPay = projectPay;
    }

    public String getInvoicePay() {
        return invoicePay;
    }

    public void setInvoicePay(String invoicePay) {
        this.invoicePay = invoicePay;
    }

    public String getOwnPay() {
        return ownPay;
    }

    public void setOwnPay(String ownPay) {
        this.ownPay = ownPay;
    }

    public String getSpecialPay() {
        return specialPay;
    }

    public void setSpecialPay(String specialPay) {
        this.specialPay = specialPay;
    }

    public String getUninsurancePay() {
        return uninsurancePay;
    }

    public void setUninsurancePay(String uninsurancePay) {
        this.uninsurancePay = uninsurancePay;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}
